# coding: utf-8

from __future__ import annotations
from datetime import date, datetime  # noqa: F401

import re  # noqa: F401
from typing import Any, Dict, List, Optional  # noqa: F401

from pydantic import AnyUrl, BaseModel, EmailStr, Field, validator  # noqa: F401
from openapi_server.models.fruit_request import FruitRequest


class FruitRequestDB(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).

    Do not edit the class manually.

    FruitRequestDB - a model defined in OpenAPI

        fruit_request: The fruit_request of this FruitRequestDB.
        state: The state of this FruitRequestDB.
    """

    fruit_request: FruitRequest = Field(alias="fruit_request")
    state: str = Field(alias="state")

FruitRequestDB.update_forward_refs()
